This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 25431 - 'shift' intrinsic producing unexpected errors
'shift' intrinsic producing unexpected errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-31 17:59 EST by R P Herrold
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-31 18:02:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Shell script yielding the error message (319 bytes, text/plain)
2001-01-31 18:02 EST, R P Herrold
no flags Details

  None (edit)
Description R P Herrold 2001-01-31 17:59:58 EST
[herrold@pokey herrold]$ ./testshift asdf
Red Hat Linux release 6.2 (Zoot)
bash-1.14.7-23.6x
LC_COLLATE=C
one
=asdf=
two
==
shift: shift count must be <= $#
done
From the man page:
 
  If n is 0, no parame<AD>ters are changed.  If n is not
given, it is assumed to be 1.
 
[herrold@pokey herrold]$                         

I will attach the test case file in a moment ...
Comment 1 R P Herrold 2001-01-31 18:02:09 EST
Created attachment 8620 [details]
Shell script yielding the error message
Comment 2 Bernhard Rosenkraenzer 2001-02-01 09:03:09 EST
Fixed in the current version

Note You need to log in before you can comment on or make changes to this bug.